#Remote State Terraservice#

This terraservice provides a standard unit remote state infrastrtcure for other terraservices to consume.

This terrasevice envs direvctory treee and the pipeline are designed to deploy DevOps sandbox experiments accounts, rather than production accounts. Optimising cost and speed have taken priority over the seat belts we would implment for production services. In this environment we are implementing 1 sandbox bucket and dyanmodb table per account.

To create a new state file, carry out the following actions:

Create a new branch off master
Create a new directoty in /envs and populate it waith the contents



Notes:

This is a unique terraservice as it creates and destroys the state file used by all the other terraservices. As such its behavioir and layout is different.
